GMERLIN_PLAYER(1)

NAME
gmerlin_player

SYNOPSIS
gmerlin_player [options] gml...

DESCRIPTION
Commandline Multimedia player

OPTIONS
-oa <audio_output_options>
    Set audio output options
    p=option[{suboptions}]

    Supported options: oa_alsa oa_pulse oa_oss oa_esd

    Default: oa_alsa

    Audio output plugin

    Suboptions for p=oa_alsa

        card=<string>

        Supported strings: default hw:0,0 hw:0,4

        Default: default

        Card

        surround40=[1|0] (default: 1)

        Enable 4.0 Surround

        Use the surround 4.0 (aka quadrophonic) device

        surround41=[1|0] (default: 1)

        Enable 4.1 Surround

        Use the surround 4.1 device

        surround50=[1|0] (default: 1)

        Enable 5.0 Surround

        Use the surround 5.0 device

        surround51=[1|0] (default: 1)

        Enable 5.1 Surround

        Use the surround 5.1 device

        user_device=<string>

        User device

        Enter a custom device to use for playback. Leave empty to use the settings above

        buffer_time=<number> (10..10000, default: 1000)

        Buffer time

        Set the buffer time (in milliseconds). Larger values improve playback performance on slow systems under load. Smaller values decrease the latency of the volume control.

    Suboptions for p=oa_oss

        multichannel_mode=<string>

        Supported strings: none multidev creative

        Default: none

        Multichannel Mode

        device=<string> (Default: /dev/dsp)

        Device

        use_rear_device=[1|0] (default: 0)

        Use Rear Device

        rear_device=<string> (Default: /dev/dsp1)

        Rear Device

        use_center_lfe_device=[1|0] (default: 0)

        Use Center/LFE Device

        center_lfe_device=<string> (Default: /dev/dsp2)

        Center/LFE Device

    Suboptions for p=oa_esd

        esd_host=<string>

        Host (empty: local)

-ov <video_output_options>
    Set video output options
    p=option[{suboptions}]

    Supported options: ov_x11 ov_v4l2

    Default: ov_x11

    Video output plugin

    Suboptions for p=ov_x11

        auto_resize=[1|0] (default: 1)

        Auto resize window

        disable_xscreensaver_normal=[1|0] (default: 0)

        Disable Screensaver for normal playback

        disable_xscreensaver_fullscreen=[1|0] (default: 1)

        Disable Screensaver for fullscreen playback

        force_hw_scale=[1|0] (default: 1)

        Force hardware scaling

        Use hardware scaling even if it involves more CPU intensive pixelformat conversions

        background_color=<r>,<g>,<b> (default: 0.000,0.000,0.000)

        <r>, <g> and <b> are in the range 0.0..1.0

        Background color

        Specify the background color for videos with alpha channel. This is only used by the OpenGL driver.

        scale_mode=<string>

        Supported strings: auto nearest bilinear quadratic cubic_bspline cubic_mitchell cubic_catmull sinc_lanczos

        Default: auto

        Scale mode

        Choose scaling method. Auto means to choose based on the conversion quality. Nearest is fastest, Sinc with Lanczos window is slowest.

        scale_order=<number> (4..1000, default: 4)

        Scale order

        Order for sinc scaling

        scale_quality=<number> (1..5, default: 2)

        Scale quality

        Scale quality

    Suboptions for p=ov_v4l2

        device=option[{suboptions}]

        Supported options: /dev/video0

        Default: /dev/video0

        V4L2 Device

        force_rw=[1|0] (default: 1)

        Force write

        Don't use memory mapping

    w=<string>

    Window ID

-i <input_plugin>
    Set and configure input plugin
    p=option[{suboptions}]

    Supported options: i_cdaudio i_avdec i_vcd i_dvd i_singlepic_stills i_lqt i_edl i_singlepic i_mikmod

    Default: i_cdaudio

    input plugin

    Suboptions for p=i_cdaudio

        trackname_template=<string> (Default: %p - %t)

        Trackname template

        Template for track name generation from metadata %p: Artist %a: Album %g: Genre %t: Track name %<d>n: Track number (d = number of digits, 1-9) %y: Year %c: Comment

        use_cdtext=[1|0] (default: 1)

        Use CD-Text

        Try to get CD metadata from CD-Text

        use_local=[1|0] (default: 1)

        Use locally saved metadata

        Whenever we obtain CD metadata from the internet, we save them into $HOME/.gmerlin/cdaudio_metadata. If you got wrong metadata for a CD, disabling this option will retrieve the metadata again and overwrite the saved data.

        use_musicbrainz=[1|0] (default: 1)

        Use Musicbrainz

        musicbrainz_host=<string> (Default: mm.musicbrainz.org)

        Server

        musicbrainz_port=<number> (1..65535, default: 80)

        Port

        musicbrainz_proxy_host=<string>

        Proxy

        Proxy server (leave empty for direct connection)

        musicbrainz_proxy_port=<number> (1..65535, default: 80)

        Proxy port

        Proxy port

        use_cddb=[1|0] (default: 1)

        Use Cddb

        cddb_host=<string> (Default: freedb.org)

        Server

        cddb_port=<number> (1..65535, default: 80)

        Port

        cddb_path=<string> (Default: /~cddb/cddb.cgi)

        Path

        cddb_proxy_host=<string>

        Proxy

        Proxy server (leave empty for direct connection)

        cddb_proxy_port=<number> (1..65535, default: 80)

        Proxy port

        Proxy port

        cddb_proxy_user=<string>

        Proxy username

        User name for proxy (leave empty for poxies, which don't require authentication)

        cddb_proxy_pass=<string>

        Proxy password

        Password for proxy

        cddb_timeout=<number> (0..1000, default: 10)

        Timeout

        Timeout (in seconds) for connections to the CDDB server

        cdparanoia_speed=<string>

        Supported strings: Auto 4 8 16 32

        Default: Auto

        Speed

        cdparanoia_max_retries=<number> (0..200, default: 20)

        Maximum retries

        Maximum number of retries, 0 = infinite

        cdparanoia_disable_paranoia=[1|0] (default: 0)

        Disable paranoia

        Disable all data verification and correction features.

        cdparanoia_disable_extra_paranoia=[1|0] (default: 0)

        Disable extra paranoia

        Disables intra-read data verification; only overlap checking atread boundaries is performed. It can wedge if errors occur in the attempted overlap area. Not recommended.

    Suboptions for p=i_avdec

        audio_dynrange=[1|0] (default: 1)

        Dynamic range control

        Enable dynamic range control for codecs, which support this (currently only A52 and DTS).

        pp=<number> (0.00..1.00, default: 0.20)

        Postprocessing level

        Set postprocessing (to remove compression artifacts). 0 means no postprocessing, 1 means maximum postprocessing.

        shrink=<number> (0..3, default: 0)

        Shrink factor

        This enables downscaling of images while decoding. Currently only supported for JPEG-2000.

        vdpau=[1|0] (default: 1)

        Use vdpau

        Use VDPAU

        connect_timeout=<number> (0..2000000, default: 5000)

        Connect timeout (milliseconds)

        read_timeout=<number> (0..2000000, default: 5000)

        Read timeout (milliseconds)

        network_buffer_size=<number> (1..1000, default: 32)

        Network buffer size (kB)

        network_bandwidth=<string>

        Supported strings: 14400 19200 28800 33600 34400 57600 115200 262200 393200 524300 1500000 10500000

        Default: 524300

        Bandwidth

        http_shoutcast_metadata=[1|0] (default: 1)

        Enable shoutcast title streaming

        http_use_proxy=[1|0] (default: 0)

        Use proxy

        http_proxy_host=<string>

        Proxy host

        http_proxy_port=<number> (1..65535, default: 80)

        Proxy port

        http_proxy_auth=[1|0] (default: 0)

        Proxy needs authentication

        http_proxy_user=<string>

        Proxy username

        http_proxy_pass=<string>

        Proxy password

        rtp_try_tcp=[1|0] (default: 0)

        Try RTP over TCP

        Use this if your filewall blocks all UDP traffic. Not all servers support TCP

        rtp_port_base=<number> (0..65530, default: 0)

        Port base for RTP

        Port base for RTP over UDP. Values of 1024 or smaller enable random ports (recommended for RTSP aware firewalls). Values larger than 1024 define the base port. 2 consecutive ports are used for each A/V stream, these must be accessable through the firewall. Odd values are rounded to the next even value.

        ftp_anonymous=[1|0] (default: 1)

        Login as anonymous

        ftp_anonymous_password=<string> (Default: gates@nanosoft.com)

        Anonymous ftp password

        seek_subtitles=<string>

        Supported strings: never video always

        Default: never

        Seek external subtitles

        If the input is a regular file, gmerlin_avdecoder can scan the directory for matching subtitle files. For a file movie.mpg, possible subtitle files are e.g. movie_english.srt, movie_german.srt. The rule is, that the first part of the filename of the subtitle file must be equal to the movie filename up to the extension. Furthermore, the subtitle filename must have an extension supported by any of the subtitle readers. Subtitle seeking can be disabled, enabled for video files or enabled for all files.

        default_subtitle_encoding=<string> (Default: LATIN1)

        Default subtitle encoding

        This sets the default encoding for text subtitles,when the original encoding is unknown. It must be a character set namerecognized by iconv. Type 'iconv -l' at the commandline for a list of supported encodings.

        sample_accuracy=<string>

        Supported strings: never always when_necessary

        Default: never

        Sample accurate

        Try sample accurate seeking. For most formats, this is not necessary, since normal seeking works fine. Some formats are only seekable in sample accurate mode. Choose "When necessary" to enable seeking for most formats with the smallest overhead.

        cache_time=<number> (default: 500)

        Cache time (milliseconds)

        If building an index takes longer than the specified time, it will be cached.

        cache_size=<number> (default: 20)

        Cache size (Megabytes)

        Set the maximum total size of the cache directory.

        threads=<number> (1..1024, default: 1)

        Number of decoding threads

        Set the number of threads used by Video codecs

        dv_datetime=[1|0] (default: 0)

        Export date and time as timecodes for DV

    Suboptions for p=i_dvd

        audio_dynrange=[1|0] (default: 1)

        Dynamic range control

        Enable dynamic range control for codecs, which support this (currently only A52 and DTS).

    Suboptions for p=i_singlepic_stills

        display_time={[[HH:]MM:]SS} (default: 0:00)

        Seconds can be fractional (i.e. with decimal point) Display time

        Time to pass until the next track will be selected. 0 means infinite.

    Suboptions for p=i_lqt

        ac={option[{suboptions}][:option[{suboptions}]...]}

        Supported options: ima4 rawaudio twos ulaw sowt alaw in24 in32 fl32 fl64 lpcm vorbis vorbis_qt ffmpeg_mp3 ffmpeg_mp2 ffmpeg_ac3 ffmpeg_qdm2 ffmpeg_alac ffmpeg_adpcm_ms ffmpeg_ima_adpcm_wav faad2 Audio Codecs

        Sort and configure audio codecs

        vc={option[{suboptions}][:option[{suboptions}]...]}

        Supported options: raw v308 v408 v410 yuv2 yuv4 yv12 2vuy v210 rtjpeg jpeg mjpa png ffmpeg_mpg1 ffmpeg_mpg4 ffmpeg_msmpeg4v1 ffmpeg_msmpeg4v2 ffmpeg_msmpeg4v3 ffmpeg_msmpeg4v3_wmp ffmpeg_h263_dec ffmpeg_h263 ffmpeg_h264 ffmpeg_i263 ffmpeg_svq1 ffmpeg_svq3 ffmpeg_mjpg ffmpeg_mjpegb ffmpeg_TGA ffmpeg_TIFF ffmpeg_8BPS ffmpeg_indeo ffmpeg_rpza ffmpeg_smc ffmpeg_cinepak ffmpeg_cyuv ffmpeg_rle ffmpeg_wrle ffmpeg_dv ffmpeg_dvcpro ffmpeg_dv50 ffmpeg_dvcprohd ffmpeg_ffvhuff ffmpeg_ffv1 ffmpeg_dnxhd ffmpeg_imx schroedinger yuvs Video Codecs

        Sort and configure video codecs

        Suboptions for ffmpeg_mpg1

            ff_flag_gray=[1|0] (default: 0)

            Grayscale mode

        Suboptions for ffmpeg_mpg4

            ff_flag_gray=[1|0] (default: 0)

            Grayscale mode

        Suboptions for ffmpeg_msmpeg4v1

            ff_flag_gray=[1|0] (default: 0)

            Grayscale mode

        Suboptions for ffmpeg_msmpeg4v2

            ff_flag_gray=[1|0] (default: 0)

            Grayscale mode

        Suboptions for ffmpeg_msmpeg4v3

            ff_flag_gray=[1|0] (default: 0)

            Grayscale mode

        Suboptions for ffmpeg_msmpeg4v3_wmp

            ff_flag_gray=[1|0] (default: 0)

            Grayscale mode

        Suboptions for ffmpeg_h263_dec

            ff_flag_gray=[1|0] (default: 0)

            Grayscale mode

        Suboptions for ffmpeg_h263

            ff_flag_gray=[1|0] (default: 0)

            Grayscale mode

        Suboptions for ffmpeg_h264

            ff_flag_gray=[1|0] (default: 0)

            Grayscale mode

        Suboptions for ffmpeg_i263

            ff_flag_gray=[1|0] (default: 0)

            Grayscale mode

        Suboptions for ffmpeg_svq1

            ff_flag_gray=[1|0] (default: 0)

            Grayscale mode

        Suboptions for ffmpeg_svq3

            ff_flag_gray=[1|0] (default: 0)

            Grayscale mode

        Suboptions for ffmpeg_mjpg

            ff_flag_gray=[1|0] (default: 0)

            Grayscale mode

        Suboptions for ffmpeg_indeo

            ff_flag_gray=[1|0] (default: 0)

            Grayscale mode

        Suboptions for ffmpeg_cinepak

            ff_flag_gray=[1|0] (default: 0)

            Grayscale mode

        Suboptions for ffmpeg_cyuv

            ff_flag_gray=[1|0] (default: 0)

            Grayscale mode

        Suboptions for ffmpeg_dv

            ff_flag_gray=[1|0] (default: 0)

            Grayscale mode

        Suboptions for ffmpeg_dvcpro

            ff_flag_gray=[1|0] (default: 0)

            Grayscale mode

        Suboptions for ffmpeg_dv50

            ff_flag_gray=[1|0] (default: 0)

            Grayscale mode

        Suboptions for ffmpeg_dvcprohd

            ff_flag_gray=[1|0] (default: 0)

            Grayscale mode

        Suboptions for ffmpeg_ffvhuff

            ff_flag_gray=[1|0] (default: 0)

            Grayscale mode

        Suboptions for ffmpeg_ffv1

            ff_flag_gray=[1|0] (default: 0)

            Grayscale mode

        Suboptions for ffmpeg_dnxhd

            ff_flag_gray=[1|0] (default: 0)

            Grayscale mode

        Suboptions for ffmpeg_imx

            ff_flag_gray=[1|0] (default: 0)

            Grayscale mode

    Suboptions for p=i_singlepic

        timescale=<number> (1..100000, default: 25)

        Timescale

        frame_duration=<number> (1..100000, default: 1)

        Frame duration

    Suboptions for p=i_mikmod

        output=<string>

        Supported strings: mono8 stereo8 mono16 stereo16

        Default: stereo16

        Output format

        mixing_frequency=<number> (4000..60000, default: 44100)

        Samplerate

        hidden=[1|0] (default: 0)

        Look for hidden patterns in module

        sur=[1|0] (default: 0)

        Use surround mixing

        fade=[1|0] (default: 0)

        Force volume fade at the end of module

        interpol=[1|0] (default: 0)

        Use interpolate mixing

-aud <audio_options>
    Set audio processing options
    sampleformat=<string>

    Supported strings: none 8 16 32 f d

    Default: none

    Force sampleformat

    Force a sampleformat to be used for processing. None means to take the input format.

    q=<number> (1..5, default: 2)

    Conversion Quality

    Set the conversion quality for format conversions. Lower quality means more speed. Values above 3 enable slow high quality calculations.

    dither_mode=<string>

    Supported strings: auto none rect tri shaped

    Default: auto

    Dither mode

    Dither mode. Auto means to use the quality level. Subsequent options are ordered by increasing quality (i.e. decreasing speed).

    fixed_samplerate=[1|0] (default: 0)

    Fixed samplerate

    If disabled, the output samplerate is taken from the source. If enabled, the samplerate you specify below us used.

    samplerate=<number> (8000..192000, default: 44100)

    Samplerate

    Samplerate

    resample_mode=<string>

    Supported strings: auto zoh linear sinc_fast sinc_medium sinc_best

    Default: auto

    Resample mode

    Resample mode. Auto means to use the quality level. Subsequent options are ordered by increasing quality (i.e. decreasing speed).

    fixed_channel_setup=[1|0] (default: 0)

    Fixed channel setup

    If disabled, the output channel configuration is taken from the source. If enabled, the setup you specify below us used.

    num_front_channels=<number> (1..5, default: 2)

    Front channels

    num_rear_channels=<number> (0..3, default: 0)

    Rear channels

    num_lfe_channels=[1|0] (default: 0)

    LFE

    front_to_rear=<string>

    Supported strings: mute copy diff

    Default: copy

    Front to rear mode

    Mix mode when the output format has rear channels, but the source doesn't.

    stereo_to_mono=<string>

    Supported strings: left right mix

    Default: mix

    Stereo to mono mode

    Mix mode when downmixing Stereo to Mono.

-vid <video_options>
    Set video processing options
    q=<number> (1..5, default: 2)

    Conversion Quality

    Set the conversion quality for format conversions. Lower quality means more speed. Values above 3 enable slow high quality calculations.

    alpha_mode=<string>

    Supported strings: ignore blend_color

    Default: ignore

    Alpha mode

    This option is used if the source has an alpha (=transparency) channel, but the output supports no transparency. Either, the transparency is ignored, or the background color you specify below is blended in.

    background_color=<r>,<g>,<b> (default: 0.000,0.000,0.000)

    <r>, <g> and <b> are in the range 0.0..1.0

    Background color

    Background color to use, when alpha mode above is "Blend background color".

    sm=[1|0] (default: 0)

    Resample chroma

    Always perform chroma resampling if chroma subsampling factors or chroma placements are different. Usually, this is only done for qualities above 3.

    still_framerate=<number> (1.00..100.00, default: 10.00)

    Still image framerate

    Set framerate with which still images will be redisplayed periodically

    threads=<number> (1..1024, default: 1)

    Number of threads

    Threads to launch for processing operations. Changing this requires program restart

-inopt <input_options>
    Set generic input options
    still_framerate=<number> (0..100, default: 10)

    Still image repitition rate

    When showing still images, gmerlin repeats them periodically to make realtime filter tweaking work.

    sync_offset=<number> (-1000..1000, default: 0)

    Sync offset [ms]

    Use this for playing buggy files, which have a constant offset between audio and video. Use positive values if the video is ahead of audio

-osd <osd_options>
    Set OSD options
    enable_osd=[1|0] (default: 1)

    Enable OSD

    font_size=<number> (12.00..100.00, default: 30.00)

    Size

    Specify fontsize for OSD. The value you enter, is for an image width of 640. For other widths, the value will be scaled

    color=<r>,<g>,<b>,<a> (default: 1.000,1.000,1.000,1.000)

    <r>, <g>, <b> and <a> are in the range 0.0..1.0

    Foreground color

    border_color=<r>,<g>,<b> (default: 0.000,0.000,0.000)

    <r>, <g> and <b> are in the range 0.0..1.0

    Border color

    border_width=<number> (0.00..10.00, default: 2.00)

    Border width

    justify_h=<string>

    Supported strings: center left right

    Default: center

    Horizontal justify

    justify_v=<string>

    Supported strings: center top bottom

    Default: center

    Vertical justify

    border_left=<number> (0..65535, default: 10)

    Left border

    Distance from the left text border to the image border

    border_right=<number> (0..65535, default: 10)

    Right border

    Distance from the right text border to the image border

    border_top=<number> (0..65535, default: 10)

    Top border

    Distance from the top text border to the image border

    border_bottom=<number> (0..65535, default: 10)

    Bottom border

    Distance from the bottom text border to the image border

    duration=<number> (0..10000, default: 2000)

    Duration (milliseconds)

-nt
    Disable time display
-vol <volume>
    Set volume in dB (max: 0.0)
-v level
    Set verbosity level (0..4)
-tracks <track_spec>
    <track_spec> can be a ranges mixed with comma separated tracks

GENERIC OPTIONS
The following generic options are available for all gmerlin applications -help
    Print this help message and exit
-help-man
    Print this help message as a manual page and exit
-help-texi
    Print this help message in texinfo format and exit
-version
    Print version info and exit

FILES
~/.gmerlin/plugins.xml
    Cache of the plugin registry (shared by all applicatons)

~/.gmerlin/generic/config.xml
    Default plugin parameters are read from there. Use gmerlin_plugincfg to change them.